POST https://api.cryptohopper.com/v1/subscription/remap

Reassigns all of the user's active bot subscriptions in one call. mapping is an object with the subscription ID as key (0 for the trial) and the bot ID as value.

OAuth scope: read manage About scopes

Active subscriptions that are not in mapping are unassigned from their bot.

Example request

curl -X POST "https://api.cryptohopper.com/v1/subscription/remap" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"mapping":{"0":987654,"466000":987655}}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Response

Example response (illustrative values)

{
    "data": "Subscriptions have been reassigned."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.